//
// C++ Interface: scenebutton
//
// Description: 
//
//
// Author: Predrag Viceic <viceic@net2000.ch>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef SCENEBUTTON_H
#define SCENEBUTTON_H

#include <qframe.h>
#include <qpainter.h>

/**
@author Predrag Viceic
*/
class SceneButton : public QFrame
{
Q_OBJECT
public:
    SceneButton(int n, QColor c, QWidget *parent = 0, const char *name = 0);

    ~SceneButton();

	void setClicked(bool theValue);

	void setSmallClicked(bool theValue);
	
	

protected:
    void drawContents ( QPainter * p ) ;
    void mousePressEvent ( QMouseEvent * e ) ;
    void mouseReleaseEvent ( QMouseEvent * e );
    int number;
    QColor color;
    bool clicked;
    bool smallClicked;
    QRect* smallCircle;
signals:
    void assignToSceneS(int scene);
    void sceneSwitchedS(int scene);
};

#endif
